### Constructor

# GimpUi ColorProfileComboBox new

#### Declaration [src]

    GtkWidget*
    gimp_color_profile_combo_box_new (
      GtkWidget* dialog,
      GFile* history
    )

#### Description [src]

Create a combo-box widget for selecting color profiles. The combo-box is populated from the file specified as `history`. This filename is typically created using the following code snippet: <informalexample><programlisting> gchar *history = gimp_personal_rc_file (“profilerc”); </programlisting></informalexample>

The recommended `dialog` type to use is a `GimpColorProfileChooserDialog`. If a `GimpColorProfileChooserDialog` is passed, `GimpColorProfileComboBox` will take complete control over the dialog, which means connecting a GtkDialog::response() callback by itself, and take care of destroying the dialog when the combo box is destroyed.

If another type of `dialog` is passed, this has to be implemented separately.

See also gimp_color_profile_combo_box_new_with_model().

Available since: | 2.4

#### Parameters

`dialog` | `GtkWidget`
| A `GtkDialog` to present when the user selects the “Select color profile from disk…” item.
| The data is owned by the caller of the function.
`history` | `GFile`
| `GFile` of the profilerc (or `NULL` for no history)
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GimpColorProfileComboBox`.
| The data is owned by the called function.